jQuery( function(){

	const ajax_url = ajax_data.ajax_url ;
	const action   = ajax_data.ajax_action ; 
	const nonce    = ajax_data.ajax_nonce ;
	const crm      = ajax_data.crm;

	jQuery('#mwb-'+crm+'-manual-sync-button').on('click',function(e) {
		e.preventDefault();
		var feed_id = jQuery( '#mwb-'+crm+'-manual-sync-select' ).val();
		var post_id = jQuery( '#mwb-shop-order-meta-box-wrap' ).attr( 'data-object_id' );
		if( feed_id == '' || post_id == '' ){
			triggerError('Select feed!');
			return;
		}
		var event = 'sync_object_manually';
		jQuery.post( ajax_url, { action, nonce, event, feed_id, post_id } ).done(function(response){
			response = JSON.parse(response);
			if ( 200 == response.status ) {
				triggerSuccess(response.message);
			}else{
				triggerError(response.message);
			}
		}).fail(function() { 
			triggerError( 'Security Error!!' );
		})
	})

});

const triggerError = (message) => {
	Swal.fire({
		icon: 'error',
		title: 'Something Went Wrong',
		text: message,
	})
}
const triggerSuccess = (message) => {
	Swal.fire({
		icon: 'success',
		title: 'Process Completed',
		text: message,  
		willClose: () => {
			if ( '#mwb-data-sync' == window.location.hash ) {
				location.reload();
			}
		}
	});
}