<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<div class="mwb-body-container">
	<?php if ( '1' == get_option( 'mwb-woo-' . Integration_With_Salesforce::get_current_crm_name( 'slug' ) . '-authorised', false ) && '1' == get_option( 'mwb-woo-' . Integration_With_Salesforce::get_current_crm_name( 'slug' ) . '-onboarding-completed', '' ) ) : ?>
		<div class="mwb-crm-name">
				<h1 class="mwb-crm-name__title">
					<?php printf( '%s Integration for WooCommerce', esc_html( Integration_With_Salesforce::get_current_crm_name() ) ); ?>
				</h1>
				<div class="mwb-crm-name__version">
				<?php printf( 'V %s', esc_html( INTEGRATION_WITH_SALESFORCE_VERSION ) ); ?>
				</div>
			</div>
			<!-- Dashboard Screen. -->
		<?php
			/**
			 * Trigger Salesforce dashboard.
			 *
			 * @since 1.0.3
			 */
		 do_action( 'mwb-woo-' . Integration_With_Salesforce::get_current_crm_name( 'slug' ) . '-connect-dashboard-screen' );
		?>
		<?php else : ?>
			<!-- Authorisation Screen. -->
			<?php
			/**
			 * Trigger Authorisation Screen.
			 *
			 * @since 1.0.3
			 */
			do_action( 'mwb-woo-' . Integration_With_Salesforce::get_current_crm_name( 'slug' ) . '-connect-authorisation-screen' );
			?>
	<?php endif; ?>
</div>


