<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/setup
 */

?>
<div class="mwb-crm-setup-content-wrap">
	<div class="mwb-crm-setup-list-wrap">
		<ul class="mwb-crm-setup-list">
			<?php if ( 'yes' == $custom_app ) : ?>
			<li>
				<?php esc_html_e( 'Login to your Salesforce account.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'Click on the settings icon at the right top menu.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'Click on setup. It will open a new tab.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'In the new screen, search for "App Manager" in the search box provided at the left section.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'Click on the App Manager. A new screen will appear listing all the available apps.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'Click on "New Connected App".', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'It will lead to open a form to create a new connected app.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'Fill up mandatory informations like "Connected App Name" and "Contact Email".', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'Enable OAuth Settings by checking the checkbox next to it.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php
				echo wp_kses(
					sprintf(
					/* translators: Feed object name */
						__( 'Enter  <strong> %s </strong> as call back url.', 'integration-with-salesforce' ),
						$callback_url
					),
					$allowed_html
				);
				?>
			</li>
			<li>
				<?php esc_html_e( 'Select OAuth Scopes "Access and manage your data (api)" and "Perform requests on your behalf at any time (refresh_token, offline_access)".', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'Scroll down to the bottom and click on save.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'New app will be created and you will be redirected to the app details page.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'Copy "Consumer key" and "Consumer Sceret" from there and enter it in Authentication form.', 'integration-with-salesforce' ); ?>
			</li>
			<?php else : ?>
			<li>
				<?php esc_html_e( 'Click on login and authorize button.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'It will redirect you to salesforce login panel.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'After successful login, it will redirect you to consent page, where it will ask your permissions to access the data.', 'integration-with-salesforce' ); ?>
			</li>
			<li>
				<?php esc_html_e( 'Click on allow, it should redirect back to your plugin admin page and your connection part is done.', 'integration-with-salesforce' ); ?>
			</li>
			<?php endif; ?>
			<li>
			<?php
			echo wp_kses(
				sprintf(
				/* translators: Feed object name */
					__( 'Still facing issue! Please check detailed app setup <a href="%s" target="_blank"  >documentation</a>.', 'integration-with-salesforce' ),
					$setup_guide_url
				),
				$allowed_html
			);
			?>
			</li>
		</ul>
	</div>
</div>
