<?php
/**
 * Add meta box section view.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

$mapping_exists = ! empty( $mapping_data );

?>
<div id="mwb-add-new-field-section-wrapper"  class="mwb-feeds__content  mwb-content-wrap row-hide">
	<a class="mwb-feeds__header-link">
		<?php esc_html_e( 'Add New Field', 'integration-with-salesforce' ); ?>
	</a>
	<div class="mwb-feeds__meta-box-main-wrapper">
		<div class="mwb-feeds__meta-box-wrap">
			<div class="mwb-form-wrapper">
				<select id="add-new-field-select">
					<option value=""><?php esc_html_e( 'Select an Option', 'integration-with-salesforce' ); ?></option>
				<?php foreach ( $crm_fields as $key => $fields_data ) : ?>
					<?php
					$disabled = '';
					if ( ! $fields_data['updateable'] ) {
						continue;
					}
					if ( $mapping_exists ) {
						if ( array_key_exists( $fields_data['name'], $mapping_data ) ) {
							$disabled = 'disabled';
						}
					} elseif ( ! $fields_data['defaultedOnCreate'] && ! $fields_data['nillable'] ) {
						$disabled = 'disabled';
					}
					?>
					<option <?php echo esc_attr( $disabled ); ?>  value="<?php echo esc_attr( $fields_data['name'] ); ?>"><?php echo esc_html( $fields_data['label'] ); ?></option>	
				<?php endforeach; ?>
				</select>
				<a id="add-new-field-btn" class="mwb-btn mwb-btn--filled"><?php esc_html_e( 'Add Field', 'integration-with-salesforce' ); ?></a>
			</div>
		</div>
	</div>
</div>
