<?php
/**
 * Add meta box section view.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>

<div id="mwb-feed-list-meta-box-wrap">
	<div class="mwb-feed-list-wrap">
		<?php foreach ( $feed_list as $key => $feed_item ) : ?>
		<div class="mwb-feed-list-item">
			<div class="item-title">
				<?php echo esc_html( $feed_item['feed_title'] ); ?>
			</div>
			<div class="item-meta">
				<span><?php echo isset( $feed_item['item_type'] ) ? esc_html( $feed_item['item_type'] ) : ''; ?></span>
				<span><?php echo isset( $feed_item['item_id'] ) ? esc_html( $feed_item['item_id'] ) : ''; ?></span>
			</div>
			<?php
			$record_link = $instance_url . '/lightning/r/' . $feed_item['crm_object'] . '/' . $feed_item['reference_id'] . '/view';
			?>
			 
			<div class="item-data">
				<a href="<?php echo esc_url( $record_link ); ?>" class="item-id-link" target="_blank" ><?php echo esc_html( $feed_item['reference_id'] ); ?></a>
			</div>
		</div>
		<?php endforeach; ?>
	</div>
</div>
