<?php
/**
 * Add meta box section view.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<div id="mwb-shop-order-meta-box-wrap"  data-object_id ="<?php echo esc_html( $post_order_id ); ?>" >
	<div class="select-feed-wrap">
		<select id="mwb-salesforce-manual-sync-select" style="margin: 10px 0px;" >
			<option value=""><?php esc_html_e( 'Select Feed', 'integration-with-salesforce' ); ?>  </option>
			<?php foreach ( $feeds as $key => $value ) : ?>
				<option value="<?php echo esc_attr( $key ); ?>">
					<?php echo esc_html( $value ); ?>
				</option>
			<?php endforeach; ?>
		</select>
		<a href="#" class="button" id="mwb-salesforce-manual-sync-button">
			<?php esc_html_e( 'Sync manually', 'integration-with-salesforce' ); ?>
		</a>
	</div>
</div>
<input type="hidden" name="meta_box_nonce" value="<?php echo esc_attr( wp_create_nonce( 'meta_box_nonce' ) ); ?>">
