<?php
/**
 * Add meta box section view.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

$picklist_values = array();
$field_index     = array_search( $status_mapping_field, array_column( $crm_fields, 'name' ) );
$picklist_values = $crm_fields[ $field_index ]['picklistValues'];
$field_label     = $crm_fields[ $field_index ]['label'];
?>
<div id="mwb-order-status-mapping-section-wrapper"  class="mwb-feeds__content  mwb-content-wrap row-hide">
	<a class="mwb-feeds__header-link">
		<?php esc_html_e( 'Order Status Mapping', 'integration-with-salesforce' ); ?>
	</a>
	<div class="mwb-feeds__meta-box-main-wrapper">
		<div class="mwb-feeds__meta-box-wrap">
			<div class="mwb-form-wrapper">
				<table id="woo-status-table" class="mwb-form-table">
					<?php foreach ( $order_statuses as $key => $value ) : ?>
						<tr class="woo-status-row">
							<td>
								<label><?php echo esc_html( $value ); ?></label>
								<input type="hidden" name="woo_status[]" value="<?php echo esc_attr( $key ); ?>" class="woo-status" ></td>
							<td>
								<select class="crm-status-mapping-select" name="crm_picklist_value[]">
								<?php foreach ( $picklist_values as $list_key => $list_value ) : ?>
									<?php
									if ( false === $list_value['active'] ) {
										continue;
									}

									$mapping_key = isset( $status_mapping[ $key ] ) ? $status_mapping[ $key ] : '';

									?>
									<option 
									value="<?php echo esc_attr( $list_value['value'] ); ?>"
									<?php echo esc_attr( selected( $mapping_key , $list_value['value'] ) ); ?>
									>
									<?php echo esc_html( $list_value['label'] ); ?>
									</option>
								<?php endforeach; ?>
								</select>
							</td>
							<td></td>
						</tr>
					<?php endforeach; ?>
				</table>
				<p class="mwb-description">
					<?php
					/* translators: 1: Selected Object Name 2: Selected Field Name */
					echo esc_html( sprintf( __( 'Please map WooCommerce Order Status with Salesforce %1$s %2$s', 'integration-with-salesforce' ), $selected_object, $field_label ) );
					?>
				</p>
				<p class="mwb-description">
				<?php esc_html_e( 'Make sure to check Map with order statuses checkbox to use this mapping in the respective field', 'integration-with-salesforce' ); ?>
				</p>
			</div>
		</div>
	</div>
</div>
