<?php
/**
 * Add meta box section view.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<div id="mwb-primary-field-section-wrapper"  class="mwb-feeds__content  mwb-content-wrap row-hide">
	<a class="mwb-feeds__header-link">
		<?php esc_html_e( 'Primary Field', 'integration-with-salesforce' ); ?>
	</a>
	<div class="mwb-feeds__meta-box-main-wrapper">
		<div class="mwb-feeds__meta-box-wrap">
			<div class="mwb-form-wrapper">
				<select id="primary-field-select" name="primary_field">
					<option value=""><?php esc_html_e( 'Select an Option', 'integration-with-salesforce' ); ?></option>
					<?php $mapping_exists = ! empty( $mapping_data ); ?>
					<?php foreach ( $crm_fields as $key => $fields_data ) : ?>
						<?php
						if ( $fields_data['defaultedOnCreate'] || ! $fields_data['updateable'] ) {
							continue;
						}
						if ( $mapping_exists ) {
							if ( ! array_key_exists( $fields_data['name'], $mapping_data ) ) {
								continue;
							}
						}
						?>
						<option <?php echo esc_attr( selected( $primary_field, $fields_data['name'] ) ); ?>  value="<?php echo esc_attr( $fields_data['name'] ); ?>"><?php echo esc_html( $fields_data['label'] ); ?></option>	
					<?php endforeach; ?>
				</select>
				<p class="mwb-description">
					<?php
					esc_html_e(
						'Please select a field which should be used as "primary key" to update an existing record. 
						In case of duplicate records',
						'integration-with-salesforce'
					);
					?>
				</p>
			</div>
		</div>
	</div>
</div>
