<?php
/**
 * Add meta box section view.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<div id="mwb-feed-event-section-wrapper"  class="mwb-feeds__content  mwb-content-wrap row-hide">
	<a class="mwb-feeds__header-link">
		<?php esc_html_e( 'Select Event', 'integration-with-salesforce' ); ?>
	</a>
	<div class="mwb-feeds__meta-box-main-wrapper">
		<div class="mwb-feeds__meta-box-wrap">
			<div class="mwb-form-wrapper">
				<select id="select-feed-event" name="feed_event">
				<option value=""><?php esc_html_e( 'Select an Option', 'integration-with-salesforce' ); ?></option>
					<?php foreach ( $event_options as $key => $value ) : ?>
						<option  <?php echo esc_attr( selected( $key, $feed_event ) ); ?> value="<?php echo esc_attr( $key ); ?>" >
							<?php echo esc_attr( $value ); ?>
						</option>
					<?php endforeach; ?>
				</select>
				<p class="mwb-description">
					<?php
					esc_html_e(
						'Please select an event on which this feed should be triggered.',
						'integration-with-salesforce'
					);
					?>
				</p>
			</div>
		</div>
	</div>
</div>
