<?php
/**
 * Add meta box section view.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<div id="mwb-fields-form-section-wrapper" class="mwb-feeds__content  mwb-content-wrap row-hide">
	<a class="mwb-feeds__header-link">
		<?php esc_html_e( 'Map Fields', 'integration-with-salesforce' ); ?>
	</a>
	<div id="mwb-fields-form-section" class="mwb-feeds__meta-box-main-wrapper">
	<?php
	$mapping_exists = ! empty( $mapping_data );

	foreach ( $crm_fields as $key => $fields_data ) {

		$require_status_mapping    = false;
		$require_pricebook_mapping = false;
		$option_data               = $field_options;

		$default_data = array(
			'field_type'  => 'standard_field',
			'field_value' => '',
		);

		if ( $mapping_exists ) {
			if ( ! array_key_exists( $fields_data['name'], $mapping_data ) ) {
				continue;
			}
			$default_data = $mapping_data[ $fields_data['name'] ];
		} elseif ( $fields_data['defaultedOnCreate'] || $fields_data['nillable'] ) {
			continue;
		}

		if ( ! empty( $status_mapping ) && $status_mapping_field === $fields_data['name'] ) {
			$require_status_mapping = true;
		}
		if ( ! empty( $pricebook_options ) && $pricebook_mapping_field === $fields_data['name'] ) {
			$require_pricebook_mapping = true;
			$option_data               = $pricebook_options;
		}

		Integration_With_Salesforce_Framework::get_field_section_html(
			$option_data,
			$fields_data,
			$default_data,
			$require_status_mapping,
			$require_pricebook_mapping,
			$selected_object
		);
	}
	?>
	</div>
</div>
