<?php
/**
 * Add meta box section view.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<div class="mwb-feeds__content  mwb-content-wrap mwb-feed__select-object">
	<a class="mwb-feeds__header-link active">
		<?php esc_html_e( 'Select Object', 'integration-with-salesforce' ); ?>
	</a>
	<div class="mwb-feeds__meta-box-main-wrapper">
		<div class="mwb-feeds__meta-box-wrap">
			<div class="mwb-form-wrapper">
				<select name="crm_object" id="mwb-feeds-<?php echo esc_attr( Integration_With_Salesforce::get_current_crm_name( 'slug' ) ); ?>-object" class="mwb-form__dropdown">
					<option value=""><?php esc_html_e( 'Select an Option', 'integration-with-salesforce' ); ?></option>
					<?php
					foreach ( $objects as $key => $object ) :
						if ( ! $object['createable'] ) {
							continue;
						}
						?>
						<option value="<?php echo esc_attr( $object['name'] ); ?>" <?php echo esc_attr( selected( $selected_object, $object['name'] ) ); ?> >
							<?php echo esc_html( $object['label'] ); ?>
						</option>
					<?php endforeach; ?>
				</select>
			</div>
			<div class="mwb-form-wrapper">
				<a id="mwb-woo-salesforce-refresh-object" class="mwb-btn mwb-btn--filled refresh-object"><?php esc_html_e( 'Refresh Objects', 'integration-with-salesforce' ); ?></a>
				<a id="mwb-woo-salesforce-refresh-fields" class="mwb-btn mwb-btn--filled refresh-fields"><?php esc_html_e( 'Refresh Fields', 'integration-with-salesforce' ); ?></a>
			</div>
		</div>
	</div>
</div>
