<?php
/**
 * Add meta box section view.
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>

<div id="mwb-pricebook-section-wrapper" class="mwb-feeds__content  mwb-content-wrap row-hide">
	<a class="mwb-feeds__header-link">
	<?php esc_html_e( 'Select Pricebook', 'integration-with-salesforce' ); ?>
	</a>
	<div class="mwb-feeds__meta-box-main-wrapper">
		<div class="mwb-feeds__meta-box-wrap">
			<div class="mwb-form-wrapper row-pricebook-select">
				<select id="pricebook-select" name="selected_pricebook">
				<?php foreach ( $pricebook_options as $key => $pricebook ) : ?>
					<option value="<?php echo esc_attr( $pricebook['Id'] ); ?>"
					<?php echo esc_attr( selected( $selected_pricebook, $pricebook['Id'] ) ); ?>>
					<?php echo esc_html( $pricebook['Name'] ); ?>
					</option>
				<?php endforeach; ?>
				</select>
			</div>
			<div class="mwb-form-wrapper row-pricebook-select">
				<a id="mwb-woo-salesforce-refresh-pricebook" 
				class="mwb-btn mwb-btn--filled refresh-pricebook">
				<?php esc_html_e( 'Refresh Pricebooks', 'integration-with-salesforce' ); ?>
				</a>
				<a id="mwb-woo-salesforce-add-pricebook" 
				class="mwb-btn mwb-btn--filled add-pricebook">
				<?php esc_html_e( 'New Pricebook', 'integration-with-salesforce' ); ?>
				</a>
			</div>
			<div class="mwb-form-wrapper row-pricebook-create row-hide">
				<input type="text" value="" name="pricebook_name"
				placeholder="<?php esc_html_e( 'Enter pricebook name', 'integration-with-salesforce' ); ?>"
				id="mwb-woo-salesforce-pricebook-name"/>
			</div>
			<div class="mwb-form-wrapper row-pricebook-create row-hide">
				<a id="mwb-woo-salesforce-create-pricebook" 
				class="mwb-btn mwb-btn--filled create-pricebook">
				<?php esc_html_e( 'Create Pricebook', 'integration-with-salesforce' ); ?>
				</a>
				<a id="mwb-woo-salesforce-back-to-pricebook" 
				class="mwb-btn mwb-btn--filled create-pricebook">
				<?php esc_html_e( 'Back', 'integration-with-salesforce' ); ?>
				</a>
			</div>
		</div>
	</div>	
</div>
