<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<div id="mwb-advanced" class="mwb-support mwb-content-wrap mwb-tabcontent">
	<div class="mwb-content__bottom-list-wrap">
		<ul class="mwb-about__list mwb-bulk-data-center-wrap">
			<?php foreach ( $settings as $key => $attr ) : ?>
				<li class="mwb-about__list-item">
					<div class="mwb-about__list-item-text">
						<h3 class="mwb-about__list-item-heading">
							<?php
							echo esc_html(
								$attr['title'] ?
								$attr['title'] :
								false
							);
							?>
						</h3>
						<p>
							<?php
							echo esc_html(
								$attr['description'] ?
								$attr['description'] :
								false
							);
							?>
						</p>
					</div>
					<div class="mwb-about__list-item-text">
					<?php
						$dependent_setting = array();

						$dependent_setting[] = array(
							'title'   => esc_html__(
								'Select Record Type',
								'integration-with-salesforce'
							),
							'type'    => 'select',
							'options' => $attr['select_option'],
							'class'   => 'mwb-crm-select-delete-object',
							'id'      => $attr['select_id'],
							'value'   => '',
						);
						?>
					<?php foreach ( $dependent_setting as $key => $setting ) : ?>
						<div class="mwb-sync-form__field">
							<?php woocommerce_admin_fields( array( $setting ) ); ?>
						</div>
					<?php endforeach; ?>
					<button class="mwb-btn mwb-btn--filled <?php echo esc_attr( $attr['button_id'] ); ?>">
						<?php
							echo esc_html( $attr['button_text'] );
						?>
					</button>
					</div>
				<li>
			<?php endforeach; ?>
		</ul>
	</div>
</div>
