<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<ul class="mwb-about__list">
	<li class="mwb-about__list-item">
		<div class="mwb-about__list-item-text">
			<p><?php esc_html_e( 'Need any help ? Check our documentation.', 'integration-with-salesforce' ); ?></p>
		</div>
		<div class="mwb-about__list-item-btn">
			<a href="https://docs.woocommerce.com/document/salesforce-integration/" class="mwb-btn mwb-btn--filled" target="_blank">
				<?php esc_html_e( 'Documentation', 'integration-with-salesforce' ); ?>
			</a>
		</div>
	</li>
	<li class="mwb-about__list-item">
		<div class="mwb-about__list-item-text">
			<p><?php esc_html_e( 'Facing any issue ? Open a support ticket.', 'integration-with-salesforce' ); ?></p>
		</div>
		<div class="mwb-about__list-item-btn">
			<a href="https://wpswings.com/submit-query/?utm_source=wpswings-salesforce-support&utm_medium=salesforce-woo-backend&utm_campaign=submit-query" class="mwb-btn mwb-btn--filled" target="_blank">
				<?php esc_html_e( 'Support', 'integration-with-salesforce' ); ?>
			</a>
		</div>
	</li>
	<li class="mwb-about__list-item">
		<div class="mwb-about__list-item-text">
			<p><?php esc_html_e( 'Need personalized solution, contact us !', 'integration-with-salesforce' ); ?></p>
		</div>
		<div class="mwb-about__list-item-btn">
			<a href="https://wpswings.com/contact-us/?utm_source=wpswings-salesforce-woo&utm_medium=woo-backend&utm_campaign=official" class="mwb-btn mwb-btn--filled" target="_blank">
				<?php esc_html_e( 'Connect', 'integration-with-salesforce' ); ?>
			</a>
		</div>
	</li>
</ul>

