<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<div class="mwb-dashboard__header-content">
	<h3 class="mwb-section__sub-heading">
		<?php echo esc_html( ucwords( Integration_With_Salesforce::get_current_crm_name( 'slug' ) ) ); ?>
		<?php esc_html_e( 'Connection Status', 'integration-with-salesforce' ); ?>
	</h3>
	<div class="mwb-dashboard__header-text">
		<span class="<?php echo esc_attr( $connection_status ? 'is-connected' : 'disconnected' ); ?>" >
			<?php esc_html_e( 'Connected', 'integration-with-salesforce' ); ?>
		</span>
	</div>
	<span class="mwb-dashboard__header-arrow">
	</span>	
</div>
<div class="mwb-dashboard__header-button-wrap">	
	<div class="mwb-dashboard__header-button-text">
		<div class="mwb-dashboard__header-token-notice" id="mwb-salesforce-token-notice">
			<?php if ( empty( $issue_time ) ) : ?>
				<?php esc_html_e( 'Access token has been expired.', 'integration-with-salesforce' ); ?>
				<?php else : ?>
					<?php
					// translators: Token issue time.
					echo esc_html( sprintf( __( 'Last token issue time : %s.', 'integration-with-salesforce' ), gmdate( 'd-m-Y h:i A', intval( $issue_time ) ) ) );
					?>
				<?php endif; ?>
		</div>
		<div class="mwb-dashboard__header-refresh-access-token-wrap">
			<a id="mwb-woo-salesforce-refresh-access-token">
				<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . 'assets/src/images/refresh.svg' ); ?>">
				<span>
					<?php esc_html_e( 'Refresh Access Token', 'integration-with-salesforce' ); ?>
				</span>
			</a>
		</div>
		<div class="mwb-dashboard__header-token-notice">
			<?php if ( ! empty( $instance_url ) ) : ?>
			<span>
				<?php
				echo esc_html_e( 'Connected Instance : ', 'integration-with-salesforce' );
				?>
			</span>
			<span>
				<a href="<?php echo esc_url( $instance_url ); ?>" target="_blank">
					<?php echo esc_html( $instance_url ); ?>
				</a>
			</span>
			<?php endif; ?>
		</div>
	</div>
	<div class="mwb-dashboard__header-button">
		<a id="mwb-woo-<?php echo esc_html( Integration_With_Salesforce::get_current_crm_name( 'slug' ) ); ?>-reauth" href="<?php echo esc_url( wp_nonce_url( admin_url( '?perform-reauth=1' ) ) ); ?>" class="mwb-btn mwb-btn--filled">
				<?php esc_html_e( 'Reauthorize', 'integration-with-salesforce' ); ?>
		</a>
		<a id="mwb-woo-<?php echo esc_html( Integration_With_Salesforce::get_current_crm_name( 'slug' ) ); ?>-disconnect" href="#" class="mwb-btn mwb-btn--filled"><?php esc_html_e( 'Disconnect', 'integration-with-salesforce' ); ?></a>
	</div>
</div>
