<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<?php $framework_instance = Integration_With_Salesforce_Framework::get_instance(); ?>
<ul class="mwb-dashboard__about-list">
	<li class="mwb-dashboard__about-list-item mwb-content-wrap">
		<div class="mwb-content__list-item-text">
			<h2 class="mwb-section__heading">
				<?php esc_html_e( 'Accounts Synced', 'integration-with-salesforce' ); ?>
			</h2>
			<div class="mwb-dashboard__about-number">
				<span>
				<?php $framework_instance->getSyncedObjectsCount( 'Account' ); ?>
				</span>
			</div>
			<div class="mwb-dashboard__about-number-desc">
				<p>
				</p>
			</div>
		</div>
		<div class="mwb-content__list-item-image">
			<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . '/assets/src/images/Accounts.svg' ); ?>" alt="">
		</div>
	</li>
	<li class="mwb-dashboard__about-list-item mwb-content-wrap">
		<div class="mwb-content__list-item-text">
			<h2 class="mwb-section__heading">
				<?php esc_html_e( 'Contacts Synced', 'integration-with-salesforce' ); ?>
			</h2>
			<div class="mwb-dashboard__about-number">
				<span>
				<?php $framework_instance->getSyncedObjectsCount( 'Contact' ); ?>
				</span>
			</div>
			<div class="mwb-dashboard__about-number-desc">
				<p>
				</p>
			</div>
		</div>
		<div class="mwb-content__list-item-image">
			<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . '/assets/src/images/Contacts.svg' ); ?>" alt="">
		</div>
	</li>
	<li class="mwb-dashboard__about-list-item mwb-content-wrap">
		<div class="mwb-content__list-item-text">
			<h2 class="mwb-section__heading">
				<?php esc_html_e( 'Products Synced', 'integration-with-salesforce' ); ?>
			</h2>
			<div class="mwb-dashboard__about-number">
				<span>
				<?php $framework_instance->getSyncedObjectsCount( 'Product2' ); ?>
				</span>
			</div>
			<div class="mwb-dashboard__about-number-desc">
				<p>
				</p>
			</div>
		</div>
		<div class="mwb-content__list-item-image">
			<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . '/assets/src/images/Products.svg' ); ?>"alt="">
		</div>
	</li>
	<li class="mwb-dashboard__about-list-item mwb-content-wrap">
		<div class="mwb-content__list-item-text ">
			<h2 class="mwb-section__heading">
				<?php esc_html_e( 'Opportunities', 'integration-with-salesforce' ); ?>
				<br>
				<?php esc_html_e( 'Synced', 'integration-with-salesforce' ); ?>
			</h2>
			</h2>
			<div class="mwb-dashboard__about-number">
				<span>
				<?php $framework_instance->getSyncedObjectsCount( 'Opportunity' ); ?>
				</span>
			</div>
			<div class="mwb-dashboard__about-number-desc">
				<p>
					
				</p>
			</div>
		</div>
		<div class="mwb-content__list-item-image">
			<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . '/assets/src/images/Opportunities.svg' ); ?>" alt="">
		</div>
	</li>
	<li class="mwb-dashboard__about-list-item  mwb-content-wrap">
		<div class="mwb-content__list-item-text ">
			<h2 class="mwb-section__heading">
				<?php esc_html_e( 'Orders Synced', 'integration-with-salesforce' ); ?>
			</h2>
			<div class="mwb-dashboard__about-number">
				<span>
				<?php $framework_instance->getSyncedObjectsCount( 'Order' ); ?>
				</span>
			</div>
			<div class="mwb-dashboard__about-number-desc">
				<p>
				</p>
			</div>
		</div>
		<div class="mwb-content__list-item-image">
			<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . '/assets/src/images/Order.svg' ); ?>" alt="">
		</div>
	</li>
</ul>
