<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<div id="mwb-data-sync" class="mwb-support mwb-content-wrap mwb-tabcontent">
	<div class="mwb-content__bottom-list-wrap">
		<ul class="mwb-about__list mwb-bulk-data-center-wrap">
			<?php foreach ( $settings as $key => $attr ) : ?>
				<li class="mwb-about__list-item">
					<div class="mwb-about__list-item-text">
						<h3 class="mwb-about__list-item-heading">
							<?php
							echo esc_html(
								$attr['title'] ?
								$attr['title'] :
								false
							);
							?>
						</h3>
						<p>
							<?php
							echo esc_html(
								$attr['description'] ?
								$attr['description'] :
								false
							);
							?>
						</p>
					</div>
					<div class="mwb-about__list-item-btn">
						<a 
						<?php
						echo esc_attr(
							$attr['button']['newtab'] ?
							'target=_blank' :
							false
						);
						?>
						href="<?php echo ( $attr['button']['href'] ) ? esc_url( $attr['button']['href'] ) : 'javascript:void(0);'; ?>"
						class="mwb-sync-start" data-form="
						<?php
						echo esc_html(
							$attr['button']['class'] ?
							$attr['button']['class'] :
							''
						);
						?>
						">                     

					</a>                        
					</div>
					<div class="mwb-about__list-item-text">
						<form class="mwb-sync-process-form form-<?php echo esc_html( $attr['button']['class'] ? $attr['button']['class'] : '' ); ?>" method="post">
							<?php
							$dependent_setting = array();

							$dependent_setting[] = array(
								'title'    => esc_html__(
									'Select Feed',
									'integration-with-salesforce'
								),
								'type'     => 'select',
								'options'  => $feed_options,
								'class'    => 'mwb-crm-select-sync-fields',
								'id'       => 'mwb-crm-select-object-feed',
								'value'    => '',
								'desc_tip' => __( 'Select feed to sync or update data over Salesforce', 'integration-with-salesforce' ),
							);
							$dependent_setting[] = array(
								'title'   => esc_html__(
									'Sync Type',
									'integration-with-salesforce'
								),
								'type'     => 'select',
								'options'  => array(
									'bulk_sync' => __( 'Bulk Sync', 'integration-with-salesforce' ),
									'ocs_sync'  => __( 'One Click Sync', 'integration-with-salesforce' ),
								),
								'class'    => 'mwb-crm-select-sync-type',
								'id'       => 'mwb-crm-select-sync-type',
								'value'    => '',
								'desc_tip' => __( 'Bulk Sync : Sync all data and update existing data <br> One Click Sync : Only new data or missing data ', 'integration-with-salesforce' ),
							);
							?>
							<?php foreach ( $dependent_setting as $key => $setting ) : ?>
								<div class="mwb-sync-form__field">
									<?php woocommerce_admin_fields( array( $setting ) ); ?>
								</div>
							<?php endforeach; ?>
							<button class="mwb-btn mwb-btn--filled mwb-start-sync-action">Start Sync</button>
						</form>
						<div class="mwb-lists__progress is_hidden">
							<div id="mwb-lists__progress-bar-ocs" class="mwb-lists__progress-bar" role="progressbar" style=""></div>
						</div>
						<div class="mwb-sync-result">
							<span class="mwb-lists__progress-result">
							</span>
						</div>
					</div>
				</li>
			<?php endforeach; ?>
		</ul>
	</div>
</div>
