<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>
<?php $log_enable = Integration_With_Salesforce_Framework::is_log_enable(); ?>
<div id="mwb-logs" class="mwb-content-wrap mwb-tabcontent" ajax_nonce="<?php echo esc_attr( wp_create_nonce( 'ajax_nonce' ) ); ?>" ajax_url="<?php echo esc_attr( admin_url( 'admin-ajax.php' ) ); ?>" >
	<div class="mwb-logs__header">
		<div class="mwb-logs__heading-wrap">
			<h2 class="mwb-section__heading">
				<?php esc_html_e( 'Sync Log', 'integration-with-salesforce' ); ?>	
			</h2>
		</div>
		<?php if ( $log_enable ) : ?>
		<ul class="mwb-logs__settings-list">
			<li class="mwb-logs__settings-list-item">
				<a id="mwb-woo-salesforce-clear-log" href="#" class="mwb-logs__setting-link">
					<?php esc_html_e( 'Clear Log', 'integration-with-salesforce' ); ?>	
				</a>
			</li>
			<li class="mwb-logs__settings-list-item">
				<a id="mwb-woo-salesforce-download-log" class="mwb-logs__setting-link">
					<?php esc_html_e( 'Download Sync Log', 'integration-with-salesforce' ); ?>	
				</a>
			</li>
			<li class="mwb-logs__settings-list-item">
				<a id="mwb-woo-salesforce-download-api-log" class="mwb-logs__setting-link">
					<?php esc_html_e( 'Download Api Log', 'integration-with-salesforce' ); ?>	
				</a>
			</li>
		</ul>
		<?php endif; ?>
	</div>
	<?php if ( $log_enable ) : ?>
	<div class="mwb-table__wrapper">
		<!-- Custom Filter -->
		<table class="error_filter">
			<tr>
				<td><?php esc_html_e( 'Filter by: ', 'integration-with-salesforce' ); ?></td>
				<td>
					<select id="searchByError">
						<option value=""><?php esc_html_e( 'All', 'integration-with-salesforce' ); ?></option>
						<option value="error"><?php esc_html_e( 'Errors', 'integration-with-salesforce' ); ?></option>
						<?php foreach ( $options as $k1 => $name ) : ?>
							<option value="<?php echo esc_attr( $name ); ?>">
								<?php echo esc_html( $name ); ?>
							</option>
						<?php endforeach; ?>
					</select>
				</td>
			</tr>
		</table>
		<table id="mwb-table" width="100%" class="mwb-table dt-responsive">
			<thead>
				<tr>
					<th><?php esc_html_e( 'Expand', 'integration-with-salesforce' ); ?></th>
					<th><?php esc_html_e( 'Feed', 'integration-with-salesforce' ); ?></th>
					<th><?php esc_html_e( 'Woo Object', 'integration-with-salesforce' ); ?></th>
					<th><?php esc_html_e( 'Woo Object Id', 'integration-with-salesforce' ); ?></th>
					<th><?php esc_html_e( 'Salesforce Object', 'integration-with-salesforce' ); ?></th>
					<th><?php esc_html_e( 'Salesforce Object Id', 'integration-with-salesforce' ); ?></th>
					<th><?php esc_html_e( 'Time', 'integration-with-salesforce' ); ?></th>
					<th><?php esc_html_e( 'Request', 'integration-with-salesforce' ); ?></th>
					<th><?php esc_html_e( 'Response', 'integration-with-salesforce' ); ?></th>
				</tr>
			</thead>
		</table>
	</div>
	<?php else : ?>
	<div class="mwb-content-wrap">
		<?php esc_html_e( 'Please enable the log', 'integration-with-salesforce' ); ?>
	</div>
	<?php endif; ?>
</div>
