<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://wpswings.com/
 * @since      1.0.0
 *
 * @package    Integration_With_Salesforce
 * @subpackage Integration_With_Salesforce/admin/partials
 */

?>


<div id="mwb-support" class="mwb-tabcontent wps-iwsa_support">
	<div class="wps-iwsa_support-inner">
		<section class="wps-iwsa_support-head">
			<h3 class="wps-iwsa_support-head-title">
			<?php esc_html_e( 'Thank You for Becoming Our Valued Customer', 'integration-with-salesforce' ); ?>
			</h3>
			<p class="wps-iwsa_support-head-desc">
			<?php esc_html_e( 'Your purchase allows us to extend our support to you. We aim to provide you with uninterrupted services tirelessly!', 'integration-with-salesforce' ); ?>
			</p>
		</section>
		<section class="wps-iwsa_support-content">
			<a href="https://youtu.be/MYA9W22Bv7I" class="wps-iwsa_support-content-item-wrap video">
				<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . 'assets/src/images/video.png' ); ?>" alt="video">
				<span class="item-content">
					<h4 class="title"><?php esc_html_e( 'View Our Video', 'integration-with-salesforce' ); ?></h4>
					<p class="desc"><?php esc_html_e( 'For a better audio-visual understanding of the plugin.', 'integration-with-salesforce' ); ?></p>
				</span>
			</a>
			<a href="https://docs.woocommerce.com/document/salesforce-integration/" class="wps-iwsa_support-content-item-wrap type-2">
				<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . 'assets/src/images/doc.png' ); ?>" alt="Documentations">
				<span class="item-content">
					<h4 class="title"><?php esc_html_e( 'Read Our Documentations', 'integration-with-salesforce' ); ?></h4>
					<p class="desc"><?php esc_html_e( 'To get an in-depth understanding of the plugin settings.', 'integration-with-salesforce' ); ?></p>
				</span>
			</a>
			<a href="https://support.wpswings.com/wordpress-plugins-knowledge-base/category/integration-with-salesforce/?utm_source=wpswings-salesforce-woo&utm_medium=woo-backend&utm_campaign=support" class="wps-iwsa_support-content-item-wrap type-3">
				<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . 'assets/src/images/faq.png' ); ?>" alt="faqs">
				<span class="item-content">
					<h4 class="title"><?php esc_html_e( 'Check the FAQs', 'integration-with-salesforce' ); ?></h4>
					<p class="desc"><?php esc_html_e( 'To learn what your peers are curious about and resolve your queries instantly.', 'integration-with-salesforce' ); ?></p>
				</span>
			</a> 
			<a href="https://wpswings.com/submit-query/?utm_source=wpswings-salesforce-woo&utm_medium=woo-backend&utm_campaign=submit-query" class="wps-iwsa_support-content-item-wrap type-4">
				<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . 'assets/src/images/settings.png' ); ?>" alt="setup">
				<span class="item-content">
					<h4 class="title"><?php esc_html_e( 'Connect For Paid Setup', 'integration-with-salesforce' ); ?></h4>
					<p class="desc"><?php esc_html_e( 'And avail best-in-class WooCommerce Services.', 'integration-with-salesforce' ); ?></p>
				</span>
			</a>
			<a href="https://wpswings.com/submit-query/?utm_source=wpswings-salesforce-woo&utm_medium=woo-backend&utm_campaign=submit-query" class="wps-iwsa_support-content-item-wrap type-5">
				<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . 'assets/src/images/queries.png' ); ?>" alt="queries">
				<span class="item-content">
					<h4 class="title"><?php esc_html_e( 'Raise a Ticket', 'integration-with-salesforce' ); ?></h4>
					<p class="desc"><?php esc_html_e( 'To get your queries resolved one-on-one with our team.', 'integration-with-salesforce' ); ?></p>
				</span>
			</a>
			<a href="https://wa.me/message/JSDF7KNKMUSKA1" class="wps-iwsa_support-content-item-wrap type-6">
				<img src="<?php echo esc_url( INTEGRATION_WITH_SALESFORCE_URL . 'assets/src/images/whatsapp.svg' ); ?>" alt="skype">
				<span class="item-content">
					<h4 class="title"><?php esc_html_e( 'Connect via WhatsApp', 'integration-with-salesforce' ); ?></h4>
					<p class="desc"><?php esc_html_e( 'For a quick chat with our support team.', 'integration-with-salesforce' ); ?></p>
				</span>
			</a>
		</section>
	</div>
</div>
